Bug 122168 - GTK3: UI Preview not displayed in Format cells dialog
Summary: GTK3: UI Preview not displayed in Format cells dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-12-18 10:56 UTC by Xisco Faulí
Modified: 2018-12-19 10:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (5.68 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-12-18 10:56 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-18 10:56:57 UTC
Created attachment 147646 [details]
Sample document

Steps to reproduce:
1. Open attached document
2. Format Cells on A1

-> UI preview is not displayed in GTK 3.18.9. See how it looks in attachment 147645 [details]

Reproduced

Version: 6.3.0.0.alpha0+
Build ID: 6dc36d343aeacb3d1e14ec0c847937d63f4e68a7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2018-12-18 11:04:12 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-6-2&id=3c11aa745cc78f1bde4efacccb22fa818df825c7

author	Caolán McNamara <caolanm@redhat.com>	2018-09-25 12:30:21 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-28 15:35:22 +0200
commit	3c11aa745cc78f1bde4efacccb22fa818df825c7 (patch)
tree	09135c2ec9f77b09d371418476a5b6fd6acc54d0
parent	a98058199410bdb183acd0ec5e7899ea4baf6c5a (diff)
weld ScAttrDlg

Bisected with: bibisect-linux64-6.2 

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2018-12-18 20:56:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d72ea08b915f72efb70c97aa1ee90c919da5b5ab%5E%21

Resolves: tdf#122168 width/height transposed

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-12-18 20:58:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/badd8b10588d39995164668dfc3956b81002e592%5E%21

Resolves: tdf#122168 width/height transposed

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-12-19 10:10:40 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 78073ecfdc50e78e3ce094c1259779b7c3b88bc4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!